package com.muyu.warn.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.warn.domain
 * @Project：cloud-server-8
 * @name：WarnRule
 * @Date：2024/9/20 下午7:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("warn_rule")
public class WarnRule {

    /**
     * 规则id
     */
    @TableId( type = IdType.AUTO)
    private Long id ;
    /**
     * 规则名称
     */
    private String  ruleName ;
    /**
     * 策略id
     */
    private Long strategyId ;
    /**
     * 报文数据类型id
     */
    private Long msgTypeId ;
    /**
     * 滑窗时间
     */
    private Long slideTime ;
    /**
     * 滑窗频率
     */
    private Long slideFrequency ;
    /**
     * 最大值
     */
    private Long maxValue ;
    /**
     * 最小值
     */
    private Long minValue ;
//    /**
//     * 创建人
//     */
//    private String createBy ;
//    /**
//     * 创建时间
//     */
//    private String createTime ;
//    /**
//     * 更新人
//     */
//    private String updateBy ;
//    /**
//     * 更新时间
//     */
//    private String updateTime ;

}
